Class
Holder
Manages relationship to another object.

Holder

Tristate Holder

Holder<TValue, TSpec>
Include Headers
seqan/basic.h
Parameters

TValue | Type of the managed object. Metafunctions: Value
TSpec | The specializing type. Metafunctions: Spec Default: Tristate

Remarks
The main purpose of this class is to facilitate the handling of member objects. If we want class A to be dependent on or the owner of another object of class B, then we add a data member of type Holder<B> to A. Holder offers some useful access functions and stores the kind of relationship between A and B.
Specializations

Tristate Holder | Holder that can be empty, dependent, or owner.

Metafunctions

Reference | Reference type.
Spec | The spec of a class.
Value | Type of the items in the container.

Member Functions

Holder | Constructor
~Holder | Destructor

Functions

assign | Assigns one object to another object.
assign | Assigns one object to another object.
assign | Assigns one object to another object.
assign | Assigns one object to another object.
assignValue | Assigns value to item.
assignValue | Assigns value to item.
clear | Resets an object.
clear | Resets an object.
create | Makes an object to owner of its content.
dependent | Test whether object depends on other objects.
dependent | Test whether object depends on other objects.
detach | Makes an object independent from other objects.
empty | Test a container for being empty.
empty | Test a container for being empty.
moveValue | Assigns value to item.
moveValue | Assigns value to item.
setValue | Makes holder dependent.
value | Reference to the value.
value | Reference to the value.

See Also
create, setValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45